Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000044 [cparser] parser major always 2009-04-03 00:43 2009-05-15 16:53
Reporter moritz View Status public  
Assigned To moritz
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000044: Crash on function with typedef'd return type and attribute
Description Testcase C/gnu99/attributes5.c crashes with this:
assertion "!is_typeref(type)" failed: file "type_t.h", line 253

Code:
typedef long _fpos_t;

_fpos_t __attribute__((__cdecl__)) _seek(void)
{
    return 0;
}
Additional Information Regression on compiling with Cygwin headers.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000081)
moritz (manager)
2009-04-06 14:51

Fixed in revision 25794.

- Issue History
Date Modified Username Field Change
2009-04-03 00:43 moritz New Issue
2009-04-06 14:51 moritz Note Added: 0000081
2009-04-06 14:51 moritz Assigned To => moritz
2009-04-06 14:51 moritz Status new => resolved
2009-04-06 14:51 moritz Resolution open => fixed
2009-05-15 16:53 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker